Subject: Re: [PATCH net-next 4/4] igb: add AF_XDP zero-copy Tx support

From: Kurt Kanzenbach <[email-masked]>
Date: Wed, 14 Aug 2024 14:51:05 +0200

On Wed Aug 14 2024, Maciej Fijalkowski wrote:
>> >> The amount of irqs can be also controlled by irq coalescing or even
>> >> using busy polling. So I'd rather keep this implementation as simple as
>> >> it is now.
>> >
>> > That has nothing to do with what I was describing.
>> 
>> Ok, maybe I misunderstood your suggestion. It seemed to me that adding
>> the RS bit to the last frame of the burst will reduce the amount of
>> raised irqs.
>
> You got it right, but I don't think it's related to any outer settings.
> The main case here is that by doing what I proposed you get much less PCIe
> traffic which in turn yields better performance.

I see, makes sense. Then, let's address this in another patchset also
for igc.

Thanks,
Kurt